package cn.axzo.msg.center.event.outer;

import cn.axzo.framework.rocketmq.Event;
import lombok.Getter;

/**
 * @Classname EventTypeEnum
 * @Date 2021/2/7 6:05 下午
 * @Created by lilong
 */
@Getter
public enum EventTypeEnum {

    MESSAGE_HISTORY_UPDATED("message-history", "message-history-updated", "发送记录修改")
    ;

    EventTypeEnum(String model, String name, String desc) {
        this.eventCode = Event.EventCode.builder()
            .module(model)
            .name(name)
            .build();
        this.model = model;
        this.name = name;
        this.desc = desc;
    }

    private String model;
    private String name;
    private String desc;
    private Event.EventCode eventCode;
}
